Subject: bug#22587: ‘guix edit’ & ‘M-x guix-edit' typo, rename, & mode change

From: myglc2 <[email-masked]>
Date: Sun, 07 Feb 2016 15:26:55 -0500

Andreas Enge <[email-masked]> writes:

> On Sun, Feb 07, 2016 at 02:22:36PM -0500, myglc2 wrote:
>> But, AIUI, this goes against the guix concept of an immutable store.
>> To describe and name this function to imply that one could/should edit
>> recipes in the store based on the "corner case" of root having the
>> ultimable ability to do so seems counter to how you would want to
>> encourage even a root user to proceed.
>
> Recipes are not in the store. For instance, after doing a "make install",
> they are in $PREFIX/share/guile/site/2.0/.
>
> Or maybe they are in the store after a "guix pull"?
>
> I am only using the "make install" version for a system-wide installation,
> and a git checkout for making more recent recipes available to one user.
>
> Andreas

On guixSD they are found under /root/.config/guix/latest which points,
for example, into the store like this:

latest -> /gnu/store/96s6sh92xyw0rljp3w1zxc8h3s4vb5zf-guix-latest

So it seems to me that editing these files will essenctially "corrupt" a
guix system.